Summary:   Fedora AppStream metadata
Name:      appstream-data
Version:   22
Release:   8%{?dist}
BuildArch: noarch
License:   CC0 and CC-BY and CC-BY-SA and GFDL
URL:       https://github.com/hughsie/createrepo_as
Source1:   https://alt.fedoraproject.org/pub/alt/screenshots/f22/fedora-%{version}.xml.gz
Source2:   https://alt.fedoraproject.org/pub/alt/screenshots/f22/fedora-%{version}-icons.tar.gz

BuildRequires: libappstream-glib

%description
This package provides the distribution specific AppStream metadata required
for the GNOME and KDE software centers. The upstream data is built weekly using
createrepo_as and the extra data in fedora-appstream.

%install

DESTDIR=%{buildroot} appstream-util install %{SOURCE1} %{SOURCE2}

%files
%attr(0644,root,root) %{_datadir}/app-info/xmls/*
%{_datadir}/app-info/icons/fedora-%{version}/*/*.png
%dir %{_datadir}/app-info
%dir %{_datadir}/app-info/icons
%dir %{_datadir}/app-info/icons/fedora-%{version}
%dir %{_datadir}/app-info/icons/fedora-%{version}/64x64
%dir %{_datadir}/app-info/icons/fedora-%{version}/128x128
%dir %{_datadir}/app-info/xmls

%changelog
* Mon May 11 2015 Richard Hughes <richard@hughsie.com> 22-8
- New metadata version, this time with all the webapps.

* Thu Apr 23 2015 Richard Hughes <richard@hughsie.com> 22-7
- New metadata version.

* Fri Mar 20 2015 Kalev Lember <kalevlember@gmail.com> 22-6
- New metadata version.

* Wed Mar 04 2015 Richard Hughes <richard@hughsie.com> 22-5
- New metadata version, this time with all the icons.

* Tue Feb 24 2015 Richard Hughes <richard@hughsie.com> 22-4
- New metadata version.

* Mon Sep 29 2014 Richard Hughes <richard@hughsie.com> 22-3
- Ship HiDPI icons, harder

* Mon Sep 29 2014 Richard Hughes <richard@hughsie.com> 22-2
- Ship HiDPI icons

* Thu Jul 17 2014 Richard Hughes <richard@hughsie.com> 22-1
- New metadata version number, data unchanged.

* Wed Jul 02 2014 Richard Hughes <richard@hughsie.com> 21-5
- New metadata version with source screenshots.

* Mon Jun 30 2014 Richard Hughes <richard@hughsie.com> 21-4
- New metadata version that passes xmllint.

* Thu Jun 19 2014 Richard Hughes <richard@hughsie.com> 21-3
- New metadata version.

* Wed Jun 11 2014 Richard Hughes <richard@hughsie.com> 21-2
- Own the correct directories
- Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1107802#c5

* Tue Jun 10 2014 Richard Hughes <richard@hughsie.com> 21-1
- Initial version for Fedora package review
